import type { _NSObject } from "../Foundation/NSObject.js";
import type { _SWCollaborationActionHandler } from "./SWCollaborationActionHandler.js";
export declare class _SWCollaborationCoordinator extends _NSObject {
    static alloc(): _SWCollaborationCoordinator;
    static new(): _SWCollaborationCoordinator;
    init(): _SWCollaborationCoordinator;
    static sharedCoordinator(): _SWCollaborationCoordinator;
    actionHandler(): _SWCollaborationActionHandler | null;
    setActionHandler$(value: _SWCollaborationActionHandler | null): void;
}
